{
  "codeName" : "List2nop1",
  "controlType" : "LIST",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSLISTS/List2nop1.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch",
    "actionType" : "DEDATASET",
    "name" : "fetch",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "groupMode" : "NONE",
  "getItemPSLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "field_text_dynamic",
      "viewFieldName" : "text"
    } ],
    "codeName" : "Usr0716000789",
    "controlType" : "PANEL",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSPANELS/Usr0716000789.json",
    "layoutMode" : "TABLE_24COL",
    "logicName" : "List2nop1_列表项面板",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRootPSPanelItems" : [ {
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSPanelItems" : [ {
        "caption" : "文本",
        "contentType" : "RAW",
        "itemStyle" : "DEFAULT",
        "itemType" : "RAWITEM",
        "name" : "text",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSRawItem" : {
          "caption" : "文本内容",
          "contentType" : "RAW",
          "name" : "text",
          "predefinedType" : "STATIC_TEXT",
          "renderMode" : "TEXT"
        },
        "rawContent" : "文本内容",
        "showCaption" : true
      }, {
        "caption" : "文本(动态)",
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "field_text_dynamic",
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "field_text_dynamic",
          "predefinedType" : "FIELD_TEXT_DYNAMIC",
          "renderMode" : "TEXT_DYNAMIC",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "viewFieldName" : "text"
      } ]
    } ],
    "name" : "list_itempanel",
    "modelid" : "C70FE36A-2AD8-4C28-BAF3-F10B32A88DC6",
    "modeltype" : "PSSYSVIEWPANEL"
  },
  "logicName" : "List2nop1",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSControls" : [ {
    "codeName" : "Usr07162669ListViewlist_quicktoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "快速操作工具栏",
    "name" : "list_quicktoolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "list_quicktoolbar"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.NEW"
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "list_quicktoolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.NEW"
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "name" : "表格界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "GRIDVIEW_NEWACTION",
        "refreshMode" : 1,
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.NEW"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION",
        "reloadData" : true
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.NEW"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.EDITVIEW.CLOSE"
      },
      "caption" : "关闭",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction2",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "list_quicktoolbar_deuiaction2"
      },
      "getPSSysImage" : {
        "glyph" : "xf08b@FontAwesome",
        "cssClass" : "fa fa-sign-out"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.EDITVIEW.CLOSE"
        },
        "caption" : "关闭",
        "codeName" : "Exit",
        "fullCodeName" : "Exit",
        "name" : "编辑界面_退出操作",
        "getPSSysImage" : {
          "glyph" : "xf08b@FontAwesome",
          "cssClass" : "fa fa-sign-out"
        },
        "predefinedType" : "EDITVIEW_EXITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.CLOSE"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Exit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "关闭",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.EDITVIEW.CLOSE"
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "modelid" : "4B910475-5D70-462A-982D-356D14AF6724",
    "modeltype" : "PSDETOOLBAR"
  } ],
  "getPSDEListDataItems" : [ {
    "dataType" : 25,
    "name" : "text",
    "getPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    }
  }, {
    "dataType" : 25,
    "name" : "phoneid",
    "getPSAppDEField" : {
      "name" : "PHONEID",
      "codeName" : "PhoneId"
    }
  }, {
    "dataType" : 25,
    "name" : "pbookid",
    "getPSAppDEField" : {
      "name" : "PBOOKID",
      "codeName" : "Pbookid"
    }
  } ],
  "pagingMode" : 1,
  "pagingSize" : 20,
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "hasWFDataItems" : false,
  "enableGroup" : false,
  "enablePagingBar" : true,
  "enableRowEdit" : false,
  "enableRowEditGroup" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "noSort" : false,
  "showHeader" : true,
  "singleSelect" : false,
  "modelid" : "C0AFF943-7E9D-4CB1-8802-8B9B9368C99C",
  "modeltype" : "PSDELIST"
}